## calibre 1.25.0+dfsg

=== manual/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS   =
SPHINXBUILD  = sphinx-build
PAPER        =

ALLSPHINXOPTS = -d .build/doctrees -D latex_paper_size=$(PAPER) \
                $(SPHINXOPTS) .

.PHONY: help clean html web htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  web       to make files usable by Sphinx.web"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	rm -rf .build/* cli

html:
	mkdir -p .build/html .build/doctrees
	$(SPHINXBUILD) -b html -t online $(ALLSPHINXOPTS) .build/html
	@echo
	@echo "Build finished. The HTML pages are in .build/html."

qthelp:
	mkdir -p .build/qthelp .build/doctrees
	$(SPHINXBUILD) -b customqt $(ALLSPHINXOPTS) .build/qthelp
	@echo
	@echo "Build finished." 

epub:
	mkdir -p .build/qthelp .build/doctrees
	$(SPHINXBUILD) -b myepub $(ALLSPHINXOPTS) .build/epub
	@echo
	@echo "Build finished."



web:
	mkdir -p .build/web .build/doctrees
	$(SPHINXBUILD) -b web $(ALLSPHINXOPTS) .build/web
	@echo
	@echo "Build finished; now you can run"
	@echo "  python -m sphinx.web .build/web"
	@echo "to start the server."

htmlhelp:
	mkdir -p .build/htmlhelp .build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) .build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in .build/htmlhelp."

latex:
	mkdir -p .build/latex .build/doctrees
	$(SPHINXBUILD) -b mylatex $(ALLSPHINXOPTS) .build/latex
	@echo
	@echo "Build finished; the LaTeX files are in .build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p .build/changes .build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) .build/changes
	@echo
	@echo "The overview file is in .build/changes."

linkcheck:
	mkdir -p .build/linkcheck .build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) .build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in .build/linkcheck/output.txt."

=== debian/changelog ===
calibre (1.25.0+dfsg-1ubuntu1.2) trusty-security; urgency=medium

  * SECURITY UPDATE: JavaScript in a book can access local files using
    XMLHttpRequest (LP: #1758699).
    - fix-CVE-2016-10187.patch
    - CVE-2016-10187
  * SECURITY UPDATE: Malicious code execution when using CPickle instead of
    JSON (LP: #1758699).
    - fix-CVE-2018-7889.patch
    - CVE-2018-7889

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 12 Apr 2018 16:06:17 -0500

calibre (1.25.0+dfsg-1ubuntu1) trusty; urgency=medium

  * d/p/Fix-1282898-Broken-Edit-Metadata-in-Bulk-commits-1.2.patch
    Fix broken Edit Metadata in Bulk commits 1.25.0
    (LP: #1282898)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Mon, 25 Aug 2015 10:27:07 +0200

calibre (1.25.0+dfsg-1build1) trusty; urgency=medium

  * No-change rebuild against sip 4.15.5.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 22 Mar 2014 15:20:30 +0400

calibre (1.25.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Drop the removal of manual/images/valid.png, got dropped
    upstream.
  * debian/copyright: Update copyrights, and fix wrong copyright-1.0 syntax.
    Thanks Felix Gruber!
  * debian/control: Remove trailing spaces.
  * debian/control: Bump minimal dependencies to the versions at
    http://calibre-ebook.com/download_linux. (see #738642)
  * debian/rules: Ignore bash completion files, until we figure out what to
    build-depend on to make these files also built in minimal schroots.

 -- Martin Pitt <mpitt@debian.org>  Thu, 27 Feb 2014 07:48:06 +0100

=== debian/control ===
Source: calibre
Section: text
Priority: extra
Build-Depends: cdbs (>= 0.4.43),
 debhelper (>= 7),
 dh-buildinfo,
 python2.7-dev,
 python-setuptools,
 txt2man,
 python-qt4-dev (>= 4.9.6),
 python-pil | python-imaging,
 python-lxml (>= 3.2.1),
 python-mechanize (>= 0.2.5),
 python-beautifulsoup (>= 3.0.5),
 python-dateutil,
 python-pkg-resources,
 python-cssutils (>= 0.9.9~),
 python-cssselect (>= 0.7.1),
 python-cherrypy3,
 python-markdown,
 python-pyparsing,
 python-routes,
 python-chardet,
 python-netifaces,
 pyqt4-dev-tools,
 libmagickwand-dev,
 libsqlite3-dev,
 python-sip-dev,
 libqt4-dev,
 libqt4-private-dev,
 libicu-dev,
 libmtp-dev (>= 1.1.5),
 poppler-utils,
 libpodofo-dev (>= 0.8.2),
 libboost-dev,
 libchm-dev
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Miriam Ruiz <little_miry@yahoo.es>
Uploaders: Martin Pitt <mpitt@debian.org>
Standards-Version: 3.9.5
XS-Python-Version: >= 2.7
Homepage: http://calibre-ebook.com
Vcs-Bzr: https://code.launchpad.net/~calibre-packagers/calibre/debian

Package: calibre
Architecture: all
Depends: python2.7,
 python-dbus,
 python-pil | python-imaging,
 python-lxml (>= 3.2.1),
 python-mechanize (>= 0.2.5),
 python-beautifulsoup (>= 3.0.5),
 python-pkg-resources,
 python-cssutils (>= 0.9.9~),
 python-cssselect (>= 0.7.1),
 python-cherrypy3 (>= 3.1.1),
 python-dateutil,
 python-feedparser,
 python-markdown,
 python-qt4 (>= ${pyqt:Version}),
 python-pyparsing,
 python-routes,
 python-chardet,
 python-netifaces,
 python-apsw (>= 3.7.17),
 xdg-utils,
 imagemagick,
 poppler-utils,
 fonts-liberation,
 libjs-mathjax (>= 2.1+20121028-1),
 calibre-bin (>= ${source:Version}),
 ${misc:Depends}
Recommends: python-dnspython (>= 1.6.0)
Description: e-book converter and library management
 Calibre is meant to be a complete e-library solution. It includes library
 management, format conversion, news feeds to e-book conversion as well as
 e-book reader sync features.
 .
 Calibre is primarily an e-book cataloging program. It manages your e-book
 collection for you. It is designed around the concept of the logical book,
 i.e. a single entry in the database that may correspond to e-books in several
 formats. It also supports conversion from a dozen different e-book formats to
 LRF and EPUB. A graphical interface to the conversion software can be
 accessed easily by just clicking the "Convert E-books" button.
 .
 Supported input formats are: MOBI, LIT, PRC, EPUB, ODT, HTML, CBR, CBZ, RTF,
 TXT, PDF and LRS.
 .
 Calibre has a modular device driver design that makes adding support for
 different e-reader devices easy. At the moment, it has support for the
 SONY PRS 500/505/700 and the iPhone (with the stanza reader software).
 Syncing supports updating metadata on the device from metadata in the library
 and the creation of collections on the device based on the tags defined in
 the library view. If an book has more than one format available, calibre
 automatically chooses the best format when uploading to the device.
 .
 Calibre can automatically fetch news from a number of websites/RSS feeds,
 format the news into a e-book and upload to a connected device. There is
 support for generating LRF/EPUB e-books. The e-books include the *full*
 versions of the articles, not just the summaries.
 .
 Calibre has also a built-in e-book viewer that can display all the major e-book
 formats.

Package: calibre-bin
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${sip:Depends},
 python2.7
Recommends: calibre (>= ${source:Version})
Description: e-book converter and library management
 Calibre is meant to be a complete e-library solution. It includes library
 management, format conversion, news feeds to e-book conversion as well as
 e-book reader sync features.
 .
 Calibre is primarily an e-book cataloging program. It manages your e-book
 collection for you. It is designed around the concept of the logical book,
 i.e. a single entry in the database that may correspond to e-books in several
 formats. It also supports conversion from a dozen different e-book formats to
 LRF and EPUB. A graphical interface to the conversion software can be
 accessed easily by just clicking the "Convert E-books" button.
 .
 Supported input formats are: MOBI, LIT, PRC, EPUB, ODT, HTML, CBR, CBZ, RTF,
 TXT, PDF and LRS.
 .
 Calibre has a modular device driver design that makes adding support for
 different e-reader devices easy. At the moment, it has support for the
 SONY PRS 500/505/700 and the iPhone (with the stanza reader software).
 Syncing supports updating metadata on the device from metadata in the library
 and the creation of collections on the device based on the tags defined in
 the library view. If an book has more than one format available, calibre
 automatically chooses the best format when uploading to the device.
 .
 Calibre can automatically fetch news from a number of websites/RSS feeds,
 format the news into a e-book and upload to a connected device. There is
 support for generating LRF/EPUB e-books. The e-books include the *full*
 versions of the articles, not just the summaries.
 .
 Calibre has also a built-in e-book viewer that can display all the major e-book
 formats.
 .
 This package contains the compiled architecture dependent plugins.

=== debian/rules ===
#!/usr/bin/make -f

SETUP=python2.7 setup.py

# This filters out *.so for the package "calibre". With this, we can
# install usr/lib in calibre.install and just leave out the binary
# bits.
DEB_DH_INSTALL_ARGS = -Xusr/etc/bash_completion.d $(if $(findstring -bin,$(cdbs_curpkg)),,-X*.so) --fail-missing
DEB_DH_GENCONTROL_ARGS = -- -Vpyqt:Version=$(shell dpkg-query -f'$${Version}' -W python-qt4)

include /usr/share/cdbs/1/rules/debhelper.mk

common-build-arch::
	[ -d build ] || $(SETUP) build

common-install-arch common-install-indep:: debian/tmp
	dh_buildinfo
	dh_sip

debian/tmp:
	env -u LANG -u LC_ALL -u LANGUAGE -u LC_MESSAGES CALIBRE_CONFIG_DIRECTORY=debian/tmp/config $(SETUP) install --root=debian/tmp/usr

	# remove bundled python libraries which are provided by system
	# packages
	rm -r debian/tmp/usr/lib/calibre/cherrypy
	rm -r debian/tmp/usr/lib/calibre/routes
	rm -r debian/tmp/usr/lib/calibre/chardet

	rm debian/tmp/usr/lib/calibre/calibre/utils/pyparsing.py
	rm debian/tmp/usr/lib/calibre/calibre/web/feeds/feedparser.py
	find debian/tmp/ -name '*.py' | xargs sed -i 's/calibre.utils.pyparsing/pyparsing/g'
	find debian/tmp/ -name '*.py' | xargs sed -i 's/calibre.ebooks.markdown/markdown/g'

	# not needed
	rm debian/tmp/usr/bin/calibre-uninstall

	# do not ship a copy of fonts-liberation
	rm -r debian/tmp/usr/share/calibre/fonts/liberation/
	ln -s /usr/share/fonts/truetype/liberation/ debian/tmp/usr/share/calibre/fonts/liberation

	# use system mathjax
	rm -rf debian/tmp/usr/share/calibre/viewer/mathjax
	ln -s /usr/share/javascript/mathjax debian/tmp/usr/share/calibre/viewer/mathjax

	# fix executable permissions
	find debian/tmp/usr/lib/calibre/calibre -type f | xargs chmod a-x
	find debian/tmp/usr/share/calibre/images -type f | xargs chmod a-x

	# add icon
	mkdir -p debian/tmp/usr/share/pixmaps/
	cp manual/resources/logo.png debian/tmp/usr/share/pixmaps/calibre-gui.png

	# remove bogus files on KFreeBSD installation
	rm -rf debian/tmp/config

	# fix "env python2" style hashbangs
	find debian/tmp -type f | xargs sed -i '1 { /^#!.*python/ s_^.*$$_#!/usr/bin/python2.7_ }'

install/calibre::
	# Create and install some of the man pages
	env -u LANG -u LC_ALL -u LANGUAGE -u LC_MESSAGES $(MAKE) -C debian/man VERSION="$(MAIN_VERSION)"

clean::
	rm -rf debian/orig
	[ ! -d build ] || $(SETUP) build -c
	$(MAKE) -C debian/man clean
	find . -name *.pyc -delete
	find . -name *.so -delete
	find . -name *.qrc -delete
	find . -name *_ui.py -delete

# Downloads the current upstream release according to debian/changelog, removes
# some bundled software copies, non-free image and replaces the non-free prs500
# TTFs with symlinks to their free liberation fonts counterparts. This also
# updates the unpacked source tree to the new upstream version and adds the
# original non-minimized javascript source for jquery.
get-orig-source:
	set -e; \
	V=`dpkg-parsechangelog | sed -rn '/^Version:/ {s/^Version: ([0-9.]+).*$$/\1/; p}'`; \
	mkdir -p debian/orig; cd debian/orig; \
	wget -O - https://downloads.sourceforge.net/project/calibre/$$V/calibre-$$V.tar.xz | xz -cd | tar x; \
	\
	wget -O - https://github.com/ehynds/jquery-ui-multiselect-widget/archive/1.5.tar.gz | tar zx; \
	\
	cp jquery-ui-multiselect-widget-1.5/src/jquery.multiselect.js calibre/resources/content_server/jquery.multiselect.min.js.orig; \
	rm -rf 1.5.tar.gz jquery-ui-multiselect-widget-1.5; \
	\
	wget https://jqueryui.com/resources/download/jquery-ui-1.8.5.zip && unzip jquery-ui-1.8.5.zip; \
	cp jquery-ui-1.8.5/ui/jquery-ui.js calibre/resources/content_server/jquery_ui/js/jquery-ui-1.8.5.custom.js.orig; \
	rm -rf jquery-ui-1.8.5; \
	rm jquery-ui-1.8.5.zip; \
	\
	D=`pwd`; rm -f calibre*/src/odf/thumbnail.py; \
	rm -rf calibre*/src/unrar; \
	rm -rf calibre*/resources/viewer/mathjax; \
	rm -rf calibre*/src/calibre/ebooks/markdown; \
	cd $$D; tar c . | xz -9 > ../../../calibre_$$V+dfsg.orig.tar.xz; \
	cd ../..; rm -r debian/orig; \
	find -mindepth 1 -maxdepth 1 ! -name '.bzr*' ! -name debian | xargs rm -rf; \
	[ ! -e setup.py ] || tar xf ../calibre_$$V+dfsg.orig.tar.xz --strip-components 2

=== debian/watch ===
# watch control file for uscan
# see uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# remove +dfsg upstream version suffix
opts=dversionmangle=s/\+dfsg$// \
  http://sf.net/calibre/calibre-(\d[\d\.]*)\.tar\.xz

## calibre 2.5.0+dfsg

=== debian/changelog ===
calibre (2.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Fix get-orig-source rule to produce tarballs with just one
    top-level dir, not an additional "./" prefix.

 -- Martin Pitt <mpitt@debian.org>  Sun, 12 Oct 2014 22:33:24 +0200

calibre (2.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix original file name of jquery.multiselect.js to avoid lintian error.
  * Don't ship calibre-portable.sh, not needed in package.
  * Use dpkg buildflags.mk for hardening.

 -- Martin Pitt <mpitt@debian.org>  Mon, 29 Sep 2014 13:14:54 +0200

calibre (2.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #762155)
  * Rebuild against current Qt/sip API. (Closes: #761517)
  * Bump Standards-Version to 3.9.6 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Fri, 19 Sep 2014 06:59:32 +0200

calibre (2.2.0+dfsg-2) unstable; urgency=medium

  * Make libudev-dev and libmtdev-dev linux-any, to fix building on BSD/Hurd.
    (see #760863)
  * Work around broken threading on mips builders. (Closes: #760865)

 -- Martin Pitt <mpitt@debian.org>  Wed, 10 Sep 2014 12:01:23 +0200

calibre (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add missing python-pyqt5.qtsvg dependency. (Closes: #759551)
  * Add libegl1-mesa-dev build dep for new version.

 -- Martin Pitt <mpitt@debian.org>  Mon, 08 Sep 2014 09:44:52 +0200

calibre (2.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #759246)
  * Adjust debian/rules get-orig-source for slightly changed upstream tarball
    layout.
  * This version uses Qt5 now. Close all crashes which are related to Qt4.
    (Closes: #673598, #609705) (LP: #1294989, #1074796, #1038931, #1021047,
    #976305, #967316, #958282, #939788, #930445, #927641, #925777, #891924,
    #886504, #871883, #854417, #852624, #762931, #762643, #761719, #745176,
    #720028, #701129, #696077, #659806, #565377, #565366, #565178, #563585,
    #557883, #458403, #1216549, #1051759, #1027371, #720021, #556985, #555961)
  * Adjust build and binary dependencies for the Qt 4 → 5 change.

 -- Martin Pitt <mpitt@debian.org>  Tue, 26 Aug 2014 20:43:13 +0200

calibre (1.48.0+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #757135)

 -- Martin Pitt <mpitt@debian.org>  Wed, 13 Aug 2014 12:04:58 +0200

calibre (1.36.0+dfsg-1) unstable; urgency=medium

  * New upstream release:
    - Fixes editing of metadata (Closes: #741638)

 -- Martin Pitt <mpitt@debian.org>  Wed, 14 May 2014 18:17:50 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,10 @@
  python2.7-dev,
  python-setuptools,
  txt2man,
- python-qt4-dev (>= 4.9.6),
+ pyqt5-dev (>= 5.3.1),
+ qt5-qmake,
+ qt5-default,
+ qtchooser,
  python-pil | python-imaging,
  python-lxml (>= 3.2.1),
  python-mechanize (>= 0.2.5),
@@ -22,22 +25,25 @@
  python-routes,
  python-chardet,
  python-netifaces,
- pyqt4-dev-tools,
+ pyqt5-dev-tools,
+ python-pyqt5,
  libmagickwand-dev,
  libsqlite3-dev,
  python-sip-dev,
- libqt4-dev,
- libqt4-private-dev,
+ qtbase5-dev,
+ qtbase5-private-dev,
  libicu-dev,
  libmtp-dev (>= 1.1.5),
  poppler-utils,
  libpodofo-dev (>= 0.8.2),
  libboost-dev,
+ libudev-dev [linux-any],
+ libmtdev-dev [linux-any],
+ libegl1-mesa-dev,
  libchm-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Miriam Ruiz <little_miry@yahoo.es>
+Maintainer: Miriam Ruiz <little_miry@yahoo.es>
 Uploaders: Martin Pitt <mpitt@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Python-Version: >= 2.7
 Homepage: http://calibre-ebook.com
 Vcs-Bzr: https://code.launchpad.net/~calibre-packagers/calibre/debian
@@ -57,7 +63,9 @@
  python-dateutil,
  python-feedparser,
  python-markdown,
- python-qt4 (>= ${pyqt:Version}),
+ python-pyqt5 (>= ${pyqt:Version}),
+ python-pyqt5.qtwebkit,
+ python-pyqt5.qtsvg,
  python-pyparsing,
  python-routes,
  python-chardet,

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,16 @@
 #!/usr/bin/make -f
 
 SETUP=python2.7 setup.py
+
+# build hardening
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # This filters out *.so for the package "calibre". With this, we can
 # install usr/lib in calibre.install and just leave out the binary
 # bits.
 DEB_DH_INSTALL_ARGS = -Xusr/etc/bash_completion.d $(if $(findstring -bin,$(cdbs_curpkg)),,-X*.so) --fail-missing
-DEB_DH_GENCONTROL_ARGS = -- -Vpyqt:Version=$(shell dpkg-query -f'$${Version}' -W python-qt4)
+DEB_DH_GENCONTROL_ARGS = -- -Vpyqt:Version=$(shell dpkg-query -f'$${Version}' -W python-pyqt5)
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 
@@ -33,6 +37,7 @@
 
 	# not needed
 	rm debian/tmp/usr/bin/calibre-uninstall
+	rm debian/tmp/usr/share/calibre/calibre-portable.*
 
 	# do not ship a copy of fonts-liberation
 	rm -r debian/tmp/usr/share/calibre/fonts/liberation/
@@ -82,11 +87,11 @@
 	\
 	wget -O - https://github.com/ehynds/jquery-ui-multiselect-widget/archive/1.5.tar.gz | tar zx; \
 	\
-	cp jquery-ui-multiselect-widget-1.5/src/jquery.multiselect.js calibre/resources/content_server/jquery.multiselect.min.js.orig; \
+	cp jquery-ui-multiselect-widget-1.5/src/jquery.multiselect.js `ls -d calibre*`/resources/content_server/; \
 	rm -rf 1.5.tar.gz jquery-ui-multiselect-widget-1.5; \
 	\
 	wget https://jqueryui.com/resources/download/jquery-ui-1.8.5.zip && unzip jquery-ui-1.8.5.zip; \
-	cp jquery-ui-1.8.5/ui/jquery-ui.js calibre/resources/content_server/jquery_ui/js/jquery-ui-1.8.5.custom.js.orig; \
+	cp jquery-ui-1.8.5/ui/jquery-ui.js `ls -d calibre*`/resources/content_server/jquery_ui/js/jquery-ui-1.8.5.custom.js.orig; \
 	rm -rf jquery-ui-1.8.5; \
 	rm jquery-ui-1.8.5.zip; \
 	\
@@ -94,7 +99,7 @@
 	rm -rf calibre*/src/unrar; \
 	rm -rf calibre*/resources/viewer/mathjax; \
 	rm -rf calibre*/src/calibre/ebooks/markdown; \
-	cd $$D; tar c . | xz -9 > ../../../calibre_$$V+dfsg.orig.tar.xz; \
+	cd $$D; tar c * | xz -9 > ../../../calibre_$$V+dfsg.orig.tar.xz; \
 	cd ../..; rm -r debian/orig; \
 	find -mindepth 1 -maxdepth 1 ! -name '.bzr*' ! -name debian | xargs rm -rf; \
-	[ ! -e setup.py ] || tar xf ../calibre_$$V+dfsg.orig.tar.xz --strip-components 2
+	[ ! -e setup.py ] || tar xf ../calibre_$$V+dfsg.orig.tar.xz --strip-components 1

## calibre 2.9.0+dfsg

=== debian/changelog ===
calibre (2.9.0+dfsg-1build1) vivid; urgency=medium

  * No-change rebuild against Qt 5.3.2.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 10 Nov 2014 13:44:55 +0200

calibre (2.9.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop qt5-default metapackage (lintian complained) and set $QT_SELECT in
    debian/rules instead.

 -- Martin Pitt <mpitt@debian.org>  Mon, 10 Nov 2014 07:34:49 +0100

calibre (2.7.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 30 Oct 2014 10:57:06 +0100

## calibre 2.13.0+dfsg

=== debian/changelog ===
calibre (2.13.0+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #773812)

 -- Martin Pitt <mpitt@debian.org>  Tue, 23 Dec 2014 20:27:32 +0100

## calibre 2.14.0+dfsg

=== debian/changelog ===
calibre (2.14.0+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #774003)

 -- Martin Pitt <mpitt@debian.org>  Sun, 28 Dec 2014 13:20:01 +0100

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 # bits.
 DEB_DH_INSTALL_ARGS = -Xusr/etc/bash_completion.d $(if $(findstring -bin,$(cdbs_curpkg)),,-X*.so) --fail-missing
 DEB_DH_GENCONTROL_ARGS = -- -Vpyqt:Version=$(shell dpkg-query -f'$${Version}' -W python-pyqt5)
+
+export QT_SELECT=qt5
 
 include /usr/share/cdbs/1/rules/debhelper.mk

## calibre 2.16.0+dfsg

=== debian/changelog ===
calibre (2.16.0+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #774547)
  * debian/calibre.install: Drop six.py, not shipped upstream any more.

 -- Martin Pitt <mpitt@debian.org>  Sat, 17 Jan 2015 11:03:00 +0100

## calibre 2.19.0+dfsg

=== debian/changelog ===
calibre (2.19.0+dfsg-1ubuntu2) vivid; urgency=medium

  * Rebuild against Qt 5.4.1
  * Cherry-pick a 5.4.1 fix from upstream:
    - debian/patches/Fix_incompatibility_with_PyQt_5.4.1.patch
      (LP: #1430663)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Sat, 14 Mar 2015 06:41:11 +0000

calibre (2.19.0+dfsg-1build1) vivid; urgency=medium

  * No-change rebuild against Qt 5.4.0.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 06 Feb 2015 20:08:27 +0200

calibre (2.19.0+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #776786)

 -- Martin Pitt <mpitt@debian.org>  Fri, 06 Feb 2015 12:09:59 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  txt2man,
  pyqt5-dev (>= 5.3.1),
  qt5-qmake,
- qt5-default,
  qtchooser,
  python-pil | python-imaging,
  python-lxml (>= 3.2.1),
@@ -41,7 +40,8 @@
  libmtdev-dev [linux-any],
  libegl1-mesa-dev,
  libchm-dev
-Maintainer: Miriam Ruiz <little_miry@yahoo.es>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Miriam Ruiz <little_miry@yahoo.es>
 Uploaders: Martin Pitt <mpitt@debian.org>
 Standards-Version: 3.9.6
 XS-Python-Version: >= 2.7

## calibre 2.20.0+dfsg

=== debian/changelog ===
calibre (2.20.0+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #780348)
  * Backport compatibility fix for PyQT 5.4.1 from upstream git.
  * debian/calibre.install: Add new css_selectors private module.

 -- Martin Pitt <mpitt@debian.org>  Sat, 14 Mar 2015 08:27:35 +0100

## calibre 2.24.0+dfsg

=== debian/changelog ===
calibre (2.24.0+dfsg-1build1) wily; urgency=medium

  * No-change rebuild against Qt 5.4.2.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 10 Jun 2015 10:12:52 +0300

calibre (2.24.0+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #782248)
  * Drop git_pytqt_5.4.1.patch, upstream now.

 -- Martin Pitt <mpitt@debian.org>  Sun, 12 Apr 2015 19:02:00 -0500

=== debian/control ===
--- 
+++ 
@@ -40,8 +40,7 @@
  libmtdev-dev [linux-any],
  libegl1-mesa-dev,
  libchm-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Miriam Ruiz <little_miry@yahoo.es>
+Maintainer: Miriam Ruiz <little_miry@yahoo.es>
 Uploaders: Martin Pitt <mpitt@debian.org>
 Standards-Version: 3.9.6
 XS-Python-Version: >= 2.7

## calibre 2.31.0+dfsg

=== debian/changelog ===
calibre (2.31.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #789244)
  * Add new libssl-dev build dependency, required for this version.
  * debian/calibre.install: Add new "duktape" module.

 -- Martin Pitt <mpitt@debian.org>  Sun, 28 Jun 2015 13:46:13 +0200

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 export QT_SELECT=qt5
 
-include /usr/share/cdbs/1/rules/debhelper.mk
+-include /usr/share/cdbs/1/rules/debhelper.mk
 
 common-build-arch::
 	[ -d build ] || $(SETUP) build

## calibre 2.33.0+dfsg

=== debian/changelog ===
calibre (2.33.0+dfsg-1build1) wily; urgency=medium

  * No-change rebuild against new libicu

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 05 Aug 2015 17:38:32 +0100

calibre (2.33.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch, debian/rules: Adjust to changed upstream tarball location.
  * debian/rules get-orig-source: Download Datejs-all-Alpha1.zip and produce
    unminified date.js in the original tarball. Thanks Jesus M.
    Gonzalez-Barahona! (Closes: #775663)

 -- Martin Pitt <mpitt@debian.org>  Sat, 25 Jul 2015 11:27:08 +0200

=== debian/rules ===
--- 
+++ 
@@ -80,12 +80,12 @@
 # some bundled software copies, non-free image and replaces the non-free prs500
 # TTFs with symlinks to their free liberation fonts counterparts. This also
 # updates the unpacked source tree to the new upstream version and adds the
-# original non-minimized javascript source for jquery.
+# original non-minimized javascript source for some minified JavaScript.
 get-orig-source:
 	set -e; \
 	V=`dpkg-parsechangelog | sed -rn '/^Version:/ {s/^Version: ([0-9.]+).*$$/\1/; p}'`; \
 	mkdir -p debian/orig; cd debian/orig; \
-	wget -O - https://downloads.sourceforge.net/project/calibre/$$V/calibre-$$V.tar.xz | xz -cd | tar x; \
+	wget -O - http://download.calibre-ebook.com/$$V/calibre-$$V.tar.xz | xz -cd | tar x; \
 	\
 	wget -O - https://github.com/ehynds/jquery-ui-multiselect-widget/archive/1.5.tar.gz | tar zx; \
 	\
@@ -97,6 +97,10 @@
 	rm -rf jquery-ui-1.8.5; \
 	rm jquery-ui-1.8.5.zip; \
 	\
+	wget https://datejs.googlecode.com/files/Datejs-all-Alpha1.zip; unzip Datejs-all-Alpha1.zip; \
+	(cd Datejs-all*/src; cat globalization/en-US.js core-debug.js sugarpak-debug.js parser-debug.js) > `ls -d calibre*`/resources/content_server/date.js.orig; \
+	rm -rf Datejs-all*; \
+	\
 	D=`pwd`; rm -f calibre*/src/odf/thumbnail.py; \
 	rm -rf calibre*/src/unrar; \
 	rm -rf calibre*/resources/viewer/mathjax; \

## calibre 2.38.0+dfsg

=== debian/changelog ===
calibre (2.38.0+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #796929)

 -- Martin Pitt <mpitt@debian.org>  Wed, 16 Sep 2015 11:08:57 +0200

=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,7 @@
 	# not needed
 	rm debian/tmp/usr/bin/calibre-uninstall
 	rm debian/tmp/usr/share/calibre/calibre-portable.*
+	rm debian/tmp/usr/lib/python*/site-packages/init_calibre.py
 
 	# do not ship a copy of fonts-liberation
 	rm -r debian/tmp/usr/share/calibre/fonts/liberation/

## calibre 2.45.0+dfsg

=== debian/changelog ===
calibre (2.45.0+dfsg-1build1) xenial; urgency=medium

  * Rebuild against Qt 5.5.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Nov 2015 15:56:40 +0200

calibre (2.45.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Sat, 28 Nov 2015 15:26:52 +0100

## calibre 2.48.0+dfsg

=== debian/changelog ===
calibre (2.48.0+dfsg-1build1) xenial; urgency=medium

  * No-change rebuild against libpodofo0.9.3

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 25 Jan 2016 13:55:34 +0100

calibre (2.48.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Sun, 03 Jan 2016 10:43:05 +0100

=== debian/control ===
--- 
+++ 
@@ -28,6 +28,7 @@
  python-pyqt5,
  libmagickwand-dev,
  libsqlite3-dev,
+ libssl-dev,
  python-sip-dev,
  qtbase5-dev,
  qtbase5-private-dev,

## calibre 2.55.0+dfsg

=== debian/changelog ===
calibre (2.55.0+dfsg-1ubuntu0.2) xenial-security; urgency=medium

  * SECURITY UPDATE: JavaScript in a book can access local files using
    XMLHttpRequest (LP: #1758699).
    - fix-CVE-2016-10187.patch
    - CVE-2016-10187
  * SECURITY UPDATE: Malicious code execution when using CPickle instead of
    JSON.
    - fix-CVE-2018-7889.patch
    - CVE-2018-7889

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 11 Apr 2018 23:50:09 -0500

calibre (2.55.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete XS-Python-Version.
  * Bump Standards-Version to 3.9.8 (no changes necessary).
  * debian/copyright: Factor out licenses (fixes lintian warning
    (dep5-copyright-license-name-not-unique)
  * Add links-privacy.patch: content-server: Don't load external URLs for
    privacy (spotted by lintian).
  * Enable relro hardening.

 -- Martin Pitt <mpitt@debian.org>  Sun, 17 Apr 2016 23:52:46 +0200

calibre (2.54.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop use_system_markdown.patch, redundant with the sedding in
    debian/rules. Thanks Felix Dietrich.
  * markdown-calibre: Use system "markdown" module. Thanks Felix Dietrich.
    (Closes: #808198)

 -- Martin Pitt <mpitt@debian.org>  Sun, 03 Apr 2016 21:18:01 +0200

=== debian/control ===
--- 
+++ 
@@ -41,10 +41,10 @@
  libmtdev-dev [linux-any],
  libegl1-mesa-dev,
  libchm-dev
-Maintainer: Miriam Ruiz <little_miry@yahoo.es>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Miriam Ruiz <little_miry@yahoo.es>
 Uploaders: Martin Pitt <mpitt@debian.org>
-Standards-Version: 3.9.6
-XS-Python-Version: >= 2.7
+Standards-Version: 3.9.8
 Homepage: http://calibre-ebook.com
 Vcs-Bzr: https://code.launchpad.net/~calibre-packagers/calibre/debian

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 # build hardening
 DPKG_EXPORT_BUILDFLAGS = 1
+export DEB_BUILD_MAINT_OPTIONS=hardening=+relro
 include /usr/share/dpkg/buildflags.mk
 
 # This filters out *.so for the package "calibre". With this, we can
@@ -35,7 +36,7 @@
 	rm debian/tmp/usr/lib/calibre/calibre/utils/pyparsing.py
 	rm debian/tmp/usr/lib/calibre/calibre/web/feeds/feedparser.py
 	find debian/tmp/ -name '*.py' | xargs sed -i 's/calibre.utils.pyparsing/pyparsing/g'
-	find debian/tmp/ -name '*.py' | xargs sed -i 's/calibre.ebooks.markdown/markdown/g'
+	find debian/tmp/ -name '*.py' -o -name "markdown-calibre" | xargs sed -i 's/calibre.ebooks.markdown/markdown/g'
 
 	# not needed
 	rm debian/tmp/usr/bin/calibre-uninstall

## calibre 2.60.0+dfsg

=== debian/changelog ===
calibre (2.60.0+dfsg-1build1~1) yakkety; urgency=medium

  * Rebuild against Qt 5.6.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 22 Jul 2016 08:59:40 +0300

calibre (2.60.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 30 Jun 2016 10:51:32 +0200

## calibre 2.71.0+dfsg

=== debian/changelog ===
calibre (2.71.0+dfsg-1) unstable; urgency=medium

  [ Martin Pitt ]
  * Move from bzr to collab-maint git, update Vcs-* tags
  * Turn patches into "gbp pq" format
  * debian/rules get-orig-source: Don't update checkout any more.
    This was appropriate for debian/ only bzr branch, but not for full-source gbp.
  * Bump debhelper compat to 9

  [ Ritesh Raj Sarraf ]
  * debian/rules get-orig-source: Update download URL for Datejs
  * New upstream release.
    Adjust patches, add new python-pyqt5.qtwebkit and python-apsw dependencies.
    (Closes: #840999)

 -- Martin Pitt <mpitt@debian.org>  Mon, 14 Nov 2016 23:44:26 +0100

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,6 @@
 	rm -r debian/tmp/usr/lib/calibre/routes
 	rm -r debian/tmp/usr/lib/calibre/chardet
 
-	rm debian/tmp/usr/lib/calibre/calibre/utils/pyparsing.py
 	rm debian/tmp/usr/lib/calibre/calibre/web/feeds/feedparser.py
 	find debian/tmp/ -name '*.py' | xargs sed -i 's/calibre.utils.pyparsing/pyparsing/g'
 	find debian/tmp/ -name '*.py' -o -name "markdown-calibre" | xargs sed -i 's/calibre.ebooks.markdown/markdown/g'
@@ -99,7 +98,7 @@
 	rm -rf jquery-ui-1.8.5; \
 	rm jquery-ui-1.8.5.zip; \
 	\
-	wget https://datejs.googlecode.com/files/Datejs-all-Alpha1.zip; unzip Datejs-all-Alpha1.zip; \
+	wget https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/datejs/Datejs-all-Alpha1.zip; unzip Datejs-all-Alpha1.zip; \
 	(cd Datejs-all*/src; cat globalization/en-US.js core-debug.js sugarpak-debug.js parser-debug.js) > `ls -d calibre*`/resources/content_server/date.js.orig; \
 	rm -rf Datejs-all*; \
 	\
@@ -108,6 +107,4 @@
 	rm -rf calibre*/resources/viewer/mathjax; \
 	rm -rf calibre*/src/calibre/ebooks/markdown; \
 	cd $$D; tar c * | xz -9 > ../../../calibre_$$V+dfsg.orig.tar.xz; \
-	cd ../..; rm -r debian/orig; \
-	find -mindepth 1 -maxdepth 1 ! -name '.bzr*' ! -name debian | xargs rm -rf; \
-	[ ! -e setup.py ] || tar xf ../calibre_$$V+dfsg.orig.tar.xz --strip-components 1
+	cd ../..; rm -r debian/orig

## calibre 2.75.1+dfsg

=== debian/changelog ===
calibre (2.75.1+dfsg-1) unstable; urgency=medium

  * New upstream release:
    - security fix: E-book viewer: Prevent javascript in the book from
      accessing files on the computer using XMLHttpRequest.

 -- Martin Pitt <mpitt@debian.org>  Tue, 27 Dec 2016 10:53:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: text
 Priority: extra
 Build-Depends: cdbs (>= 0.4.43),
- debhelper (>= 7),
+ debhelper (>= 9),
  dh-buildinfo,
  python2.7-dev,
  python-setuptools,
  txt2man,
  pyqt5-dev (>= 5.3.1),
+ python-pyqt5.qtwebkit,
  qt5-qmake,
  qtchooser,
+ python-apsw (>= 3.7.17),
  python-pil | python-imaging,
  python-lxml (>= 3.2.1),
  python-mechanize (>= 0.2.5),
@@ -41,12 +43,12 @@
  libmtdev-dev [linux-any],
  libegl1-mesa-dev,
  libchm-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Miriam Ruiz <little_miry@yahoo.es>
+Maintainer: Miriam Ruiz <little_miry@yahoo.es>
 Uploaders: Martin Pitt <mpitt@debian.org>
 Standards-Version: 3.9.8
 Homepage: http://calibre-ebook.com
-Vcs-Bzr: https://code.launchpad.net/~calibre-packagers/calibre/debian
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/calibre.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/calibre.git
 
 Package: calibre
 Architecture: all

## calibre 3.1.1

=== debian/changelog ===
calibre (3.1.1-1mx15+1) mx; urgency=medium

  * New upstream release.
      new features:
      - Edit metadata dialog: Allow right clicking the Paste ISBN button to
        instead paste an identifier with a different prefix.
      - Tag browser: Add an option to control the spacing between items.
      - Add an option in Preferences->Look & feel to show individual layout.
        buttons in the status bar, as was the case in calibre 2.x.
      - Edit metadata dialog: Add buttons to easily set/clear Yes/no columns.
      - Support for RAR 5.0 format RAR and CBR files
      Bug fixes:
      - Version 3.1.1 fixes a regression in 3.1.0 that prevented the standalone
        calibre-server.exe from working on Windows and macOS.
      - Content server: Fix various bugs in the SSL implementation causing
        aborted transfers when enabling SSL in the server.
      - Content server: Fix connections not being closed after errors/timeouts
        on the server side.
      - Fix an error during startup on Windows systems where the home directory
        is in a character encoding different from the system encoding.
      - Edit book: Fix escaping of text for regular expression searches
        unnecessarily escaping spaces.
      - Get Books: Search the entire catalog, including restricted books.
      - Fix regression in previous release that caused the Tag browser view
        to jump around when renaming items.
      - Splash screen: Fix text vertical overlap for some systems/font sizes.
      - Server: --daemonize option should not be present on Windows and macOS
        as it does not work on those platforms.
      - macOS: Fix some keyboard shortcuts not working in calibre 3.0.
      - Server interface: Fix error in the Browse all downloaded page when the
        book list mode is set to detailed list.
      - Get books: Update amazon.fr and ebooks.com plugins for website changes.
      - Content server: Fix for home screen being empty if the path to the
        calibre library has a trailing slash.
      - Content server: Fix the new server interface not working with the
        --url-prefix option when the trailing slash is omitted on the URL used
        in the browser.
      - Google images metadata download plugin: Fix for change in website
        causing no covers to be downloaded.
      Improved news sources
      - The Times
      - Wall Street Journal
      - New Yorker
      - BBC News

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 25 Jun 2017 14:53:50 -0700

calibre (3.0.0-1mx15+1) mx; urgency=medium

  * New upstream release.
  * Drop dont_build_unrar_plugin.patch and links-privacy.patch
    - enable cbr comic book format support.
  * Add fix-no-hdpi-Qt5.3.patch.
  * Add python-regex to dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 16 Jun 2017 13:20:22 -0700

calibre (2.85.1-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 16 May 2017 13:31:26 +0200

calibre (2.85.0-1~getdeb1) xenial; urgency=medium

  * New upstream version
      new features:
        - title: "Book details panel: Allow right click to search the
        internet for the current book"
        - title: "Book details panel: Allow right clicking on an author name
        to search the internet for works by that author"
        - title: "Book details panel: Clicking an author name now searches
        Goodreads by default instead of Wikipedia. Can be changed in
        Preferences->Look & feel->Book details"
        - title: "Kobo driver: Add support for the Kobo Auro H2O Edition 2"
      bug fixes:
        - title: "PDF Output: Fix a regression in the previous release that
        broke conversion to PDF for some files."
          tickets: [1689192]
        - title: "DOCX Output: Fix lengths specified in percentage of page
        size not being converted correctly."
          tickets: [1688690]
        - title: "DOCX Output: Fix some hyperlinks not working in word
        because the bookmark name is longer than forty characters."
          tickets: [1688690]
        - title: "DOCX Output: Prevent images from being larger than the page
        size."
          tickets: [1688690]
        - title: "Comic Input: Fix the number of colors control not allowing
        values less than 8"
        - title: "Kobo driver: Fix main memory and Card A being swapped on
        some systems"
        - title: "Kobo driver: Fix the ignore collections option being
        accidentally case-insensitive"
        - title: "Preferences->Toolbars: Show an error message when the user
        tries to remove either the Preferences or Location Manager buttons
        instead of just silently adding them back."
          tickets: [1689022]
      improved recipes:
        - Private Eye
      new recipes:
        - title: Balkanist
          author: Darko Miletic

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 12 May 2017 19:25:15 +0200

calibre (2.84.0-1~getdeb1) xenial; urgency=medium

  * New upstream version
    new features:
    - title: "Kindle driver: Also delete book thumbnails from the system
    directory when deleting books."
    - title: "Conversion: Use the same regular expression engine as is used
    by the Edit Book tool. The new engine has much better support for Unicode
    characters/character classes."
    - title: "Edit Book: Add keyboard shortcuts to jump to opening and
    closing tags (Ctrl+{ and Ctrl+})"
    - title: "Add API to pre-process image data in recipes easily"
    - title: "fetch-ebook-metadata: add option to use only a single metadata
    plugin"

      bug fixes:
    - title: "E-book viewer: Fix a regression in the previous release that
    broke printing from inside the viewer."
    - title: "DOCX Output: When the input document contains paragraphs inside
    a block with a background color preserve the background color in the
    resulting paragraphs in the DOCX document."
      tickets: [1683188]


=== debian/control ===
--- 
+++ 
@@ -1,85 +1,83 @@
 Source: calibre
 Section: text
 Priority: extra
-Build-Depends: cdbs (>= 0.4.43),
- debhelper (>= 9),
- dh-buildinfo,
- python2.7-dev,
- python-setuptools,
- txt2man,
- pyqt5-dev (>= 5.3.1),
- python-pyqt5.qtwebkit,
- qt5-qmake,
- qtchooser,
- python-apsw (>= 3.7.17),
- python-pil | python-imaging,
- python-lxml (>= 3.2.1),
- python-mechanize (>= 0.2.5),
- python-beautifulsoup (>= 3.0.5),
- python-dateutil,
- python-pkg-resources,
- python-cssutils (>= 0.9.9~),
- python-cssselect (>= 0.7.1),
- python-cherrypy3,
- python-markdown,
- python-pyparsing,
- python-routes,
- python-chardet,
- python-netifaces,
- pyqt5-dev-tools,
- python-pyqt5,
- libmagickwand-dev,
- libsqlite3-dev,
- libssl-dev,
- python-sip-dev,
- qtbase5-dev,
- qtbase5-private-dev,
- libicu-dev,
- libmtp-dev (>= 1.1.5),
- poppler-utils,
- libpodofo-dev (>= 0.8.2),
- libboost-dev,
- libudev-dev [linux-any],
- libmtdev-dev [linux-any],
- libegl1-mesa-dev,
- libchm-dev
-Maintainer: Miriam Ruiz <little_miry@yahoo.es>
+Build-Depends: debhelper (>= 9),
+               dh-buildinfo,
+               python2.7-dev,
+               python-setuptools,
+               txt2man,
+               pyqt5-dev (>= 5.3.1),
+               qt5-qmake,
+               qtchooser,
+               python-pil | python-imaging,
+               python-lxml (>= 3.2.1),
+               python-mechanize (>= 0.2.5),
+               python-beautifulsoup (>= 3.0.5),
+               python-dateutil,
+               python-pkg-resources,
+               python-cssutils (>= 0.9.9~),
+               python-cssselect (>= 0.7.1),
+               python-cherrypy3,
+               python-markdown,
+               python-pyparsing,
+               python-routes,
+               python-chardet,
+               python-netifaces,
+               pyqt5-dev-tools,
+               python-pyqt5,
+               libmagickwand-dev,
+               libsqlite3-dev,
+               libssl-dev,
+               python-sip-dev,
+               qtbase5-dev,
+               qtbase5-private-dev,
+               libicu-dev,
+               libmtp-dev (>= 1.1.5),
+               poppler-utils,
+               libpodofo-dev (>= 0.8.2),
+               libboost-dev,
+               libudev-dev [linux-any],
+               libmtdev-dev [linux-any],
+               libegl1-mesa-dev,
+               libchm-dev
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: GetDeb Package Ninjas <package.ninjas@getdeb.net>
 Uploaders: Martin Pitt <mpitt@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 3.9.7
 Homepage: http://calibre-ebook.com
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/calibre.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/calibre.git
 
 Package: calibre
 Architecture: all
 Depends: python2.7,
- python-dbus,
- python-pil | python-imaging,
- python-lxml (>= 3.2.1),
- python-mechanize (>= 0.2.5),
- python-beautifulsoup (>= 3.0.5),
- python-pkg-resources,
- python-cssutils (>= 0.9.9~),
- python-cssselect (>= 0.7.1),
- python-cherrypy3 (>= 3.1.1),
- python-dateutil,
- python-feedparser,
- python-markdown,
- python-pyqt5 (>= ${pyqt:Version}),
- python-pyqt5.qtwebkit,
- python-pyqt5.qtsvg,
- python-pyparsing,
- python-routes,
- python-chardet,
- python-netifaces,
- python-apsw (>= 3.7.17),
- xdg-utils,
- imagemagick,
- poppler-utils,
- fonts-liberation,
- libjs-mathjax (>= 2.1+20121028-1),
- calibre-bin (>= ${source:Version}),
- ${misc:Depends}
+         python-dbus,
+         python-pil | python-imaging,
+         python-lxml (>= 3.2.1),
+         python-mechanize (>= 0.2.5),
+         python-beautifulsoup (>= 3.0.5),
+         python-pkg-resources,
+         python-cssutils (>= 0.9.9~),
+         python-cssselect (>= 0.7.1),
+         python-cherrypy3 (>= 3.1.1),
+         python-dateutil,
+         python-feedparser,
+         python-markdown,
+         python-pyqt5 (>= ${pyqt:Version}),
+         python-pyqt5.qtwebkit,
+         python-pyqt5.qtsvg,
+         python-pyparsing,
+         python-regex,
+         python-routes,
+         python-chardet,
+         python-netifaces,
+         python-apsw (>= 3.7.17),
+         xdg-utils,
+         imagemagick,
+         poppler-utils,
+         fonts-liberation,
+         libjs-mathjax (>= 2.1+20121028-1),
+         calibre-bin (>= ${source:Version}),
+         ${misc:Depends}
 Recommends: python-dnspython (>= 1.6.0)
 Description: e-book converter and library management
  Calibre is meant to be a complete e-library solution. It includes library
@@ -115,9 +113,9 @@
 Package: calibre-bin
 Architecture: any
 Depends: ${shlibs:Depends},
- ${misc:Depends},
- ${sip:Depends},
- python2.7
+         ${misc:Depends},
+         ${sip:Depends},
+         python2.7
 Recommends: calibre (>= ${source:Version})
 Description: e-book converter and library management
  Calibre is meant to be a complete e-library solution. It includes library

=== debian/rules ===
--- 
+++ 
@@ -29,10 +29,11 @@
 
 	# remove bundled python libraries which are provided by system
 	# packages
-	rm -r debian/tmp/usr/lib/calibre/cherrypy
-	rm -r debian/tmp/usr/lib/calibre/routes
-	rm -r debian/tmp/usr/lib/calibre/chardet
+	rm -rf debian/tmp/usr/lib/calibre/cherrypy
+	rm -rf debian/tmp/usr/lib/calibre/routes
+	rm -rf debian/tmp/usr/lib/calibre/chardet
 
+	#rm debian/tmp/usr/lib/calibre/calibre/utils/pyparsing.py
 	rm debian/tmp/usr/lib/calibre/calibre/web/feeds/feedparser.py
 	find debian/tmp/ -name '*.py' | xargs sed -i 's/calibre.utils.pyparsing/pyparsing/g'
 	find debian/tmp/ -name '*.py' -o -name "markdown-calibre" | xargs sed -i 's/calibre.ebooks.markdown/markdown/g'
@@ -98,13 +99,13 @@
 	rm -rf jquery-ui-1.8.5; \
 	rm jquery-ui-1.8.5.zip; \
 	\
-	wget https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/datejs/Datejs-all-Alpha1.zip; unzip Datejs-all-Alpha1.zip; \
-	(cd Datejs-all*/src; cat globalization/en-US.js core-debug.js sugarpak-debug.js parser-debug.js) > `ls -d calibre*`/resources/content_server/date.js.orig; \
-	rm -rf Datejs-all*; \
+	wget https://github.com/datejs/Datejs/archive/master.zip; unzip master.zip; \
+	(cd Datejs-master/src; cat globalization/en-US.js core.js sugarpak.js parser.js) > `ls -d calibre*`/resources/content_server/date.js.orig; \
+	rm -rf Datejs-master master.zip; \
 	\
 	D=`pwd`; rm -f calibre*/src/odf/thumbnail.py; \
 	rm -rf calibre*/src/unrar; \
 	rm -rf calibre*/resources/viewer/mathjax; \
 	rm -rf calibre*/src/calibre/ebooks/markdown; \
-	cd $$D; tar c * | xz -9 > ../../../calibre_$$V+dfsg.orig.tar.xz; \
-	cd ../..; rm -r debian/orig
+	cd $$D; tar c * | xz -9 > ../../calibre_$$V.orig.tar.xz; \
+	cd ../..; rm -r debian/orig;

=== debian/watch ===
# watch control file for uscan
# see uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# remove +dfsg upstream version suffix
opts="filenamemangle=s/([\d\.]+)\//calibre_$1\.tar\.xz/,downloadurlmangle=s/\/(\d[\d\.]*)\//\/$1\/calibre-$1.tar.xz/" \
  http://download.calibre-ebook.com/2.html (\d[\d\.]*)/
